task spladder_quantification {
    String sample_id
    File bam
    File bai
    File pickle
    File merge_graphs
    File reference_gtf_file
    File samples
    

    String docker
    String cluster
    String disk_size

    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}/spladder_out/spladder
        
        ln -s ${pickle}/*.pickle ${sample_id}/spladder_out/spladder/
        cat ${samples} | while read a; do ls ${sample_id}/spladder_out/spladder/ | grep $a; done >> pickle.txt
		
        ln -s ${merge_graphs} ${sample_id}/spladder_out/spladder/

        nt=$(nproc)
		
        spladder build -o ${sample_id}/spladder_out \
          --annotation ${reference_gtf_file} \
          --bams ${bam} \
          --confidence 2 \
          --merge-strat merge_graphs \
          --readlen 150 \
          --parallel $nt \
          --quantify-graph --qmode single\
          --no-extract-ase
          
          
        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File fileList = "fileList.txt"
        File pickle_txt = "pickle.txt"
        File count_hdf5 = "${sample_id}/spladder_out/spladder/*.count.hdf5"
    }
}